ResultRecord
Date: 2013-06-18

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.session.client
Class ResultRecord

    java.lang.Object
      org.gcube.portlets.session.client.BaseItem
          org.gcube.portlets.session.client.ResultRecord

    public class ResultRecord

extends BaseItem

The `ResultRecord` represents the element of ann XML Result Record

Version:
  march 2007 (1.0)
Author:
  massimiliano.assante@isti.cnr.it

Field Summary
`protected java.lang.String` | `collection`
`protected java.lang.String` | `collectionName`
`protected java.lang.String` | `creator`
`protected java.lang.String` | `date`
`protected java.lang.String` | `docId`
`protected int` | `length`
`protected java.lang.String` | `rank`
`protected java.lang.String` | `title`

Fields inherited from class org.gcube.portlets.session.client.BaseItem
`content, fileName, id, label, metadata, mimeType, type`

Constructor Summary
`ResultRecord()` the Default Constuctor is needed for the serialization
`ResultRecord(java.lang.String docId, java.lang.String title, java.lang.String type, java.lang.String creator, java.lang.String date, java.lang.String collection, java.lang.String metadata, java.lang.String content, java.lang.String rank)` Constructs a ResultRecord Object from a parsed XML RSRecord

Method Summary
`java.lang.String` | `getCollection()`
`java.lang.String` | `getCollectionName()`
`java.lang.String` | `getCreator()`
`java.lang.String` | `getDate()`
`java.lang.String` | `getDocId()`
`int` | `getLength()`
`java.lang.String` | `getRank()`
`java.lang.String` | `getTitle()`
`void` | `setCollection(java.lang.String s)`
`void` | `setCollectionName(java.lang.String collectionName)`
`void` | `setCreator(java.lang.String s)`
`void` | `setDate(java.lang.String s)`
`void` | `setDocId(java.lang.String s)`
`void` | `setLength(int length)`
`void` | `setLength(java.lang.String length)`
`void` | `setRank(java.lang.String s)`
`void` | `setTitle(java.lang.String s)`

Methods inherited from class org.gcube.portlets.session.client.BaseItem
`getContent, getFileName, getId, getLabel, getMetadata, getMimeType, getType, setContent, setFileName, setId, setLabel, setMetadata, setMimeType, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### docId

    protected java.lang.String docId

### title

    protected java.lang.String title

### creator

    protected java.lang.String creator

### date

    protected java.lang.String date

### collection

    protected java.lang.String collection

### collectionName

    protected java.lang.String collectionName

### rank

    protected java.lang.String rank

### length

    protected int length

Constructor Detail

### ResultRecord

    public ResultRecord()

  the Default Constuctor is needed for the serialization

### ResultRecord

    public ResultRecord(java.lang.String docId,
                        java.lang.String title,
                        java.lang.String type,
                        java.lang.String creator,
                        java.lang.String date,
                        java.lang.String collection,
                        java.lang.String metadata,
                        java.lang.String content,
                        java.lang.String rank)

  Constructs a ResultRecord Object from a parsed XML RSRecord

  Parameters:
    `docId` - d
    `title` - d
    `type` - d
    `creator` - d
    `date` - d
    `collection` - d
    `metadata` - d
    `content` - d
    `rank` - r

Method Detail

### getDocId

    public java.lang.String getDocId()

  Returns:
    docId

### getTitle

    public java.lang.String getTitle()

  Returns:
    title

### getCreator

    public java.lang.String getCreator()

  Returns:
    creator

### getDate

    public java.lang.String getDate()

  Returns:
    date

### getCollection

    public java.lang.String getCollection()

  Returns:
    collection

### getRank

    public java.lang.String getRank()

  Returns:
    rank

### setDocId

    public void setDocId(java.lang.String s)

  Parameters:
    `s` - s

### setTitle

    public void setTitle(java.lang.String s)

  Parameters:
    `s` - s

### setCreator

    public void setCreator(java.lang.String s)

  Parameters:
    `s` - s

### setDate

    public void setDate(java.lang.String s)

  Parameters:
    `s` - s

### setCollection

    public void setCollection(java.lang.String s)

  Parameters:
    `s` - s

### setRank

    public void setRank(java.lang.String s)

  Parameters:
    `s` - s

### getCollectionName

    public java.lang.String getCollectionName()

  Returns:
    c

### setCollectionName

    public void setCollectionName(java.lang.String collectionName)

  Parameters:
    `collectionName` - c

### getLength

    public int getLength()

  Returns:
    len

### setLength

    public void setLength(int length)

  Parameters:
    `length` - len

### setLength

    public void setLength(java.lang.String length)

  Parameters:
    `length` - len

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD